concurrency: MultiProcessing

communication:
  communication_prefs:
    - !name:ipaacar_com_service.communications.ipaacar_com.IPAACARInfo
    # - !name:redis_com_service.communications.redis_com.RedisServiceInfo

modules:
  ping:
    module_info: !name:aaambos.std.modules.ping_pong_example.PingPongModule
    fst_send: 1
  pong:
    module_info: !name:aaambos.std.modules.ping_pong_example.PingPongModule
    fst_send: 0
  gui:
    module_info: !name:aaambos.std.guis.pysimplegui.pysimplegui_window.PySimpleGUIWindowModule
    window_title: Counting GUI
    topics_to_show: [["Counting", "aaambos.std.modules.ping_pong_example.CountingMsg", ["value"]]]
  status_manager:
    module_info: !name:aaambos.std.modules.module_status_manager.ModuleStatusManager
  com_vis:
    module_info: !name:aaambos.std.modules.com_vis.ComVisModule
  #shell_command_1:
  #  module_info: !name:aaambos.std.modules.shell_command.ShellCommandModule
  #  shell_command: ["sh", "~/PycharmProjects/aaambos/examples/conda_act.sh", "~/miniconda3/etc/profile.d/conda.sh", "label-studio"]
